# Resources

## NFT <a href="#nft" id="nft"></a>

The NFT is one of the most basic units in the NFT Garden. It is possible to mint an NFT for any collection.

{% hint style="info" %}
In order to call each endpoint of the NFT, API functionality must be enabled at the time of collection generation.
{% endhint %}

## nft\_gdn\_id <a href="#nft-gdn-id" id="nft-gdn-id"></a>

`nft_gdn_id` is the ID assigned when the NFT is generated by NFT Garden. `nft_gdn_id` can be used to obtain the details of the NFT.

## transaction\_gdn\_id <a href="#transaction-gdn-id" id="transaction-gdn-id"></a>

transaction\_gdn\_id is an ID assigned when a contract is generated by NFT Garden. transaction\_gdn\_id can be used to obtain contract details.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nftgarden.app/en/api/nft-api/v1.2/resource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
